cc.Class({
    extends: cc.Component,

    properties: {
        _sprite: cc.Node,
    },

    // use this for initialization
    onLoad: function () {
        //this._sprite1 = this.node.getChildByName('background').getChildByName('Sprite1');
        this._sprite2 = this.node.getChildByName('background').getChildByName('Sprite2');

        //this.loadDragonBones(this._sprite1, 'dragon_bones/hero', 'HalfSide', 'Stand');
        this.loadDragonBones(this._sprite2, 'dragon_bones/npcs/guxuewen', 'Front', 'Stand');
    },

    loadDragonBones (node, resUrl, armatureName, anim) {                  
        cc.loader.loadResDir(resUrl, function (err, assets) {                          
            if (err) {                                                                 
                cc.error("load res err:" + err);                                       
                return;                                                                
            }                                                                          
            var armature = node.getComponent(dragonBones.ArmatureDisplay);             
            if (armature === null) {                                                   
                armature = node.addComponent(dragonBones.ArmatureDisplay);             
            }                                                                          
            for (var i in assets) {                                                    
                if (assets[i] instanceof dragonBones.DragonBonesAsset) {               
                    armature.dragonAsset = assets[i];                                  
                    //cc.log('dragon asset:' + i);                                     
                }                                                                      
                if (assets[i] instanceof dragonBones.DragonBonesAtlasAsset) {          
                    armature.dragonAtlasAsset = assets[i];                             
                    //cc.log('dragon atlas asset:' + i);                            
                }                                                                   
            }                                                                       
            //cc.log('armature names:' + armature.getArmatureNames());              
            armature.armatureName = armatureName;                                   
            //cc.log('armature names:' + armature.armatureName);                    
            armature.playAnimation(anim, -1);                                       
        });                                                                         
    },                                         

    // called every frame
    update: function (dt) {

    },
   
});
